Name:           python-dsp-tools
Version:        10.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        DSP-TOOLS is a Python package with a command line interface that helps you interact with a DaSCH service platform (DSP) server.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.dasch.swiss/
Source:         %{pypi_source dsp_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dsp-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dsp-tools
Summary:        %{summary}

%description -n python3-dsp-tools %_description


%prep
%autosetup -p1 -n dsp_tools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dsp-tools -f %{pyproject_files}


%changelog
%autochangelog